Skip to main content
GET
/
api
/
public
/
v1
/
notes
List Notes Jsonapi
curl --request GET \
  --url https://api.example.com/api/public/v1/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "attributes": {
        "author_id": "<string>",
        "summary": "<string>",
        "classification": "<string>",
        "channel_id": "<string>",
        "helpfulness_score": 0,
        "status": "NEEDS_MORE_RATINGS",
        "ai_generated": false,
        "ai_provider": "<string>",
        "ai_model": "<string>",
        "force_published": false,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "platform_message_id": "<string>",
        "platform_channel_id": "<string>",
        "force_published_at": "2023-11-07T05:31:56Z",
        "ratings_count": 0,
        "community_server_id": "<string>"
      },
      "type": "notes"
    }
  ],
  "jsonapi": {
    "version": "1.1"
  },
  "links": {
    "self_": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next_": "<string>",
    "describedby": "<string>"
  },
  "meta": {
    "count": 123,
    "page": 123,
    "pages": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

page[number]
integer
default:1
Required range: x >= 1
page[size]
integer
default:20
Required range: 1 <= x <= 100
filter[status]
enum<string> | null
Available options:
NEEDS_MORE_RATINGS,
CURRENTLY_RATED_HELPFUL,
CURRENTLY_RATED_NOT_HELPFUL
filter[status__neq]
enum<string> | null
Available options:
NEEDS_MORE_RATINGS,
CURRENTLY_RATED_HELPFUL,
CURRENTLY_RATED_NOT_HELPFUL
filter[classification]
enum<string> | null
Available options:
NOT_MISLEADING,
MISINFORMED_OR_POTENTIALLY_MISLEADING
filter[community_server_id]
string<uuid> | null
filter[author_id]
string | null
filter[request_id]
string<uuid> | null
filter[created_at__gte]
string<date-time> | null
filter[created_at__lte]
string<date-time> | null
filter[rater_id__not_in]
string | null
filter[rater_id]
string<uuid> | null
filter[platform_message_id]
string | null

Response

Successful Response

JSON:API response for a list of note resources.

data
NoteResource · object[]
required
jsonapi
Jsonapi · object

JSON:API links object for pagination and resource links.

Uses field aliases for 'self' and 'next' which are Python reserved words. Always use by_alias=True when serializing. Includes JSON:API 1.1 'describedby' link for API documentation.

meta
JSONAPIMeta · object

JSON:API meta object for pagination and collection metadata.